summary refs log tree commit diff
path: root/jenkins-dendron-haproxy-postgres.sh
diff options
context:
space:
mode:
authorPaul "LeoNerd" Evans <paul@matrix.org>2017-02-28 18:14:13 +0000
committerPaul "LeoNerd" Evans <paul@matrix.org>2017-02-28 18:14:13 +0000
commit6b1ffa5f3de93618ae748391215e7139099b265f (patch)
tree9d574d6a181d65ffa1d77dd6c0788b29991c84c3 /jenkins-dendron-haproxy-postgres.sh
parentNo longer need to request all the sub-components to be split when running syt... (diff)
downloadsynapse-6b1ffa5f3de93618ae748391215e7139099b265f.tar.xz
Added also a control script to run via the crazy dendron+haproxy hybrid we're temporarily using
Diffstat (limited to 'jenkins-dendron-haproxy-postgres.sh')
-rwxr-xr-xjenkins-dendron-haproxy-postgres.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/jenkins-dendron-haproxy-postgres.sh b/jenkins-dendron-haproxy-postgres.sh
new file mode 100755
index 0000000000..d64b2d2c9d
--- /dev/null
+++ b/jenkins-dendron-haproxy-postgres.sh
@@ -0,0 +1,22 @@
+#!/bin/bash
+
+set -eux
+
+: ${WORKSPACE:="$(pwd)"}
+
+export WORKSPACE
+export PYTHONDONTWRITEBYTECODE=yep
+export SYNAPSE_CACHE_FACTOR=1
+
+export HAPROXY_BIN=/home/haproxy/haproxy-1.6.11/haproxy
+
+./jenkins/prepare_synapse.sh
+./jenkins/clone.sh sytest https://github.com/matrix-org/sytest.git
+./jenkins/clone.sh dendron https://github.com/matrix-org/dendron.git
+./dendron/jenkins/build_dendron.sh
+./sytest/jenkins/prep_sytest_for_postgres.sh
+
+./sytest/jenkins/install_and_run.sh \
+    --synapse-directory $WORKSPACE \
+    --dendron $WORKSPACE/dendron/bin/dendron \
+    --haproxy \